## com.lowagie.text.pdf.codec.postscript
Class PAContext

    java.lang.Object
      com.lowagie.text.pdf.codec.postscript.PAContext

public class PAContext
extends Object

Field Summary
`Stack` `dictionaries`
`PAEngine` `engine`
`protected Object` `lastUnknownIdentifier`
`Stack` `operands`
`PAPencil` `pencil`
`(package private) PAParser` `poorscript`
`protected Random` `randomNumberGenerator`

Constructor Summary
`PAContext(Component component)`
`PAContext(Graphics2D g, Dimension size)`
`PAContext(PAPencil pencil)`

Method Summary
`void` `collectArray()`
`protected HashMap` `constructGlobalDict()`
`protected HashMap` `constructSystemDict()`
`void` `draw(InputStream inputStream)`
`Object` `findDictionary(Object identifier)`
`Object` `findIdentifier(Object identifier)`
`Object` `getLastUnknownIdentifier()`
`Object` `peekOperand()`
`double[]` `popNumberOperands(int n)`
`Object[]` `popOperands(int n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pencil

    public PAPencil pencil

### dictionaries

    public Stack dictionaries

### operands

    public Stack operands

### engine

    public PAEngine engine

### poorscript

    PAParser poorscript

### randomNumberGenerator

    protected Random randomNumberGenerator

### lastUnknownIdentifier

    protected Object lastUnknownIdentifier

Constructor Detail

### PAContext

    public PAContext(Component component)

### PAContext

    public PAContext(Graphics2D g,
                     Dimension size)

### PAContext

    public PAContext(PAPencil pencil)

Method Detail

### draw

    public void draw(InputStream inputStream)
              throws PainterException

  Throws:
    `PainterException`

### getLastUnknownIdentifier

    public Object getLastUnknownIdentifier()

### popNumberOperands

    public double[] popNumberOperands(int n)
                               throws PainterException

  Throws:
    `PainterException`

### popOperands

    public Object[] popOperands(int n)
                         throws PainterException

  Throws:
    `PainterException`

### peekOperand

    public Object peekOperand()
                       throws PainterException

  Throws:
    `PainterException`

### findIdentifier

    public Object findIdentifier(Object identifier)

### findDictionary

    public Object findDictionary(Object identifier)

### collectArray

    public void collectArray()
                      throws PainterException

  Throws:
    `PainterException`

### constructGlobalDict

    protected HashMap constructGlobalDict()

### constructSystemDict

    protected HashMap constructSystemDict()